=== debian/control ===
Source: ros-galactic-mavros-msgs
Section: misc
Priority: optional
Maintainer: Vladimir Ermakov <vooon341@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake, ros-galactic-ament-lint-auto <!nocheck>, ros-galactic-ament-lint-common <!nocheck>, ros-galactic-geographic-msgs, ros-galactic-geometry-msgs, ros-galactic-rcl-interfaces, ros-galactic-rosidl-default-generators, ros-galactic-sensor-msgs, ros-galactic-ros-workspace, ros-galactic-rosidl-typesupport-fastrtps-c, ros-galactic-rosidl-typesupport-fastrtps-cpp
Homepage: http://wiki.ros.org/mavros_msgs
Standards-Version: 3.9.2

Package: ros-galactic-mavros-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-geographic-msgs, ros-galactic-geometry-msgs, ros-galactic-rcl-interfaces, ros-galactic-rosidl-default-runtime, ros-galactic-sensor-msgs, ros-galactic-ros-workspace
Description: mavros_msgs defines messages for MAVROS.
